MODULE YOMSP_PTRS

USE PARKIND1  ,ONLY : JPIM

IMPLICIT NONE

SAVE

! Pointers (offsets) for individual fields in spectral arrays

INTEGER(KIND=JPIM) :: MSPTR_VOR
INTEGER(KIND=JPIM) :: MSPTR_DIV
INTEGER(KIND=JPIM) :: MSPTR_T
INTEGER(KIND=JPIM) :: MSPTR_SPD
INTEGER(KIND=JPIM) :: MSPTR_SVD
INTEGER(KIND=JPIM) :: MSPTR_GFL
INTEGER(KIND=JPIM) :: MSPTR_SP
INTEGER(KIND=JPIM) :: MSPTR_OR
INTEGER(KIND=JPIM) :: MSPTR_UB
INTEGER(KIND=JPIM) :: MSPTR_VB

END MODULE YOMSP_PTRS
